python3-wrapt_1.8.0-5build2_i386.deb


Advertisement

Description

python3-wrapt - decorators, wrappers and monkey patching. - Python 3.x

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main i386
Package filename python3-wrapt_1.8.0-5build2_i386.deb
Package name python3-wrapt
Package version 1.8.0
Package release 5build2
Package architecture i386
Package type deb
Category python
Homepage https://github.com/GrahamDumpleton/wrapt
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 25.43 KB
Installed size 112.00 KB
The aim of the wrapt module is to provide a transparent object proxy for
Python, which can be used as the basis for the construction of function
wrappers and decorator functions.
The wrapt module focuses very much on correctness. It therefore goes way
beyond existing mechanisms such as functools.wraps() to ensure that decorators
preserve introspectability, signatures, type checking abilities etc. The
decorators that can be constructed using this module will work in far more
scenarios than typical decorators and provide more predictable and consistent
behaviour.
To ensure that the overhead is as minimal as possible, a C extension module is
used for performance critical components. An automatic fallback to a pure
Python implementation is also provided where a target system does not have a
compiler to allow the C extension to be compiled.
This package contains the Python 3.x module.

Alternatives

Package Version Architecture Repository
python3-wrapt_1.9.0-4~nd0~nd16.04+1_i386.deb 1.9.0 i386 NeuroDebian Main
python3-wrapt_1.9.0-4~nd0~nd16.04+1_amd64.deb 1.9.0 amd64 NeuroDebian Main
python3-wrapt_1.8.0-5build2_amd64.deb 1.8.0 amd64 Ubuntu Main
python3-wrapt - - -

Requires

Name Value
dpkg >= 1.15.6~
libc6 >= 2.4
python3 << 3.6
python3 >= 3.5~
python3-six -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python3-wrapt_1.8.0-5build2_i386.deb
Source Package python-wrapt

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python3-wrapt deb package:
    # sudo apt-get install python3-wrapt

Files

Path
/usr/lib/python3/dist-packages/wrapt-1.8.0.egg-info
/usr/lib/python3/dist-packages/wrapt/__init__.py
/usr/lib/python3/dist-packages/wrapt/_wrappers.cpython-35m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/wrapt/arguments.py
/usr/lib/python3/dist-packages/wrapt/decorators.py
/usr/lib/python3/dist-packages/wrapt/importer.py
/usr/lib/python3/dist-packages/wrapt/wrappers.py
/usr/share/doc/python3-wrapt/changelog.Debian.gz
/usr/share/doc/python3-wrapt/copyright

Changelog

2016-01-19 - Matthias Klose <doko@ubuntu.com>
python-wrapt (1.8.0-5build2) xenial; urgency=medium
* No-change rebuild to drop python3.4 support.
2015-08-01 - Steve Langasek <steve.langasek@ubuntu.com>
python-wrapt (1.8.0-5build1) wily; urgency=medium
* No-change rebuild for python3.5 transition
2014-07-26 - Thomas Goirand <zigo@debian.org>
python-wrapt (1.8.0-5) unstable; urgency=medium
* Added do-not-run-test_proxy_attribute.patch to avoid FTBFS. Thanks to David
Suárez <david.sephirot@gmail.com> for the bug report (Closes: #755325).
2014-06-08 - Thomas Goirand <zigo@debian.org>
python-wrapt (1.8.0-4) unstable; urgency=medium
* wrapt is of arch "any" and not "all", therefore all the build-depends-indep
should be in build-depends. This upload fixes that.
2014-06-08 - Thomas Goirand <zigo@debian.org>
python-wrapt (1.8.0-3) unstable; urgency=medium
* Added missing depends on python-six / python3-six (Closes: #750579).
2014-06-05 - Thomas Goirand <zigo@debian.org>
python-wrapt (1.8.0-2) unstable; urgency=medium
* Moves python-sphinx to build-depends instead of build-depends-indep.
(Closes: #750579).
2014-05-28 - Thomas Goirand <zigo@debian.org>
python-wrapt (1.8.0-1) unstable; urgency=low
* Initial release. (Closes: #749594)

See Also

Package Description
python3-xdg_0.25-4_all.deb Python 3 library to access freedesktop.org standards
python3-xkit_0.5.0ubuntu2_all.deb library for the manipulation of xorg.conf files (Python 3)
python3-xlsxwriter_0.7.3-1_all.deb Python 3 module for creating Excel XLSX files
python3-yaml_3.11-3build1_i386.deb YAML parser and emitter for Python3
python3-zope.interface_4.1.3-1build1_i386.deb Interfaces for Python3
python3.5-dev_3.5.1-10_i386.deb Header files and a static library for Python (v3.5)
python3.5-doc_3.5.1-10_all.deb Documentation for the high-level object-oriented language Python (v3.5)
python3.5-examples_3.5.1-10_all.deb Examples for the Python language (v3.5)
python3.5-minimal_3.5.1-10_i386.deb Minimal subset of the Python language (version 3.5)
python3.5_3.5.1-10_i386.deb Interactive high-level object-oriented language (version 3.5)
python3_3.5.1-3_i386.deb interactive high-level object-oriented language (default python3 version)
python_2.7.11-1_i386.deb interactive high-level object-oriented language (default version)
qdbus_4.8.7+dfsg-5ubuntu2_i386.deb Qt 4 D-Bus tool
qemu-block-extra_2.5+dfsg-5ubuntu10_i386.deb extra block backend modules for qemu-system and qemu-utils
qemu-kvm_2.5+dfsg-5ubuntu10_i386.deb QEMU Full virtualization
Advertisement
Advertisement